[an error occurred while processing this directive] [an error occurred while processing this directive][an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive] (none) [an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive][an error occurred while processing this directive] [an error occurred while processing this directive][an error occurred while processing this directive] [an error occurred while processing this directive][an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive] (none) [an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive][an error occurred while processing this directive]
 
[an error occurred while processing this directive] [an error occurred while processing this directive]
Skåne Sjælland Linux User Group - http://www.sslug.dk Home   Subscribe   Mail Archive   Forum   Calendar   Search
MhonArc Date: [Date Prev] [Date Index] [Date Next]   Thread: [Date Prev] [Thread Index] [Date Next]   MhonArc
 

Re: Sv: Sv: [NOVICE] opgradering RH6. =>7.0 /etc/conf.modules filen mangler efter opg radering



In <sslug@sslug> "Poul Kristensen" <sslug@sslug> writes:

>Efter opgradering(genstart) fik jeg den omtalte meddelelse - altså  Delaying eth0 initialization
>(havde ikke problemer med rh6.2)
>I /etc/modules.conf stod der alias eth0 3c59x.
>Hvor rh7.0 har fået  3c59x ved jeg ikke.
>Jeg rettede til 3c90x.

Det er ikke rigtigt. Red Hat's auto-detection er normalt ganske god -
især når det gælder PCI kort som disse to.

Selv om 3c59x driveren hedder "59x", så dækker den faktisk også nogle
andre kort. Fra driverens kildetekst:

  This driver is for the 3Com "Vortex" and "Boomerang" series ethercards.
  Members of the series include Fast EtherLink 3c590/3c592/3c595/3c597
  and the EtherLink XL 3c900 and 3c905 cards.

Du kan ikke bare skrive "3c90x", for der findes slet ikke en driver
med det navn i Linux 2.2. Det der står som alias i modules.conf filen
skal matche filnavnene på driver-modulerne under
/lib/modules/2.2.*/net/

Hvis du vil vide hvad Linux mener om hvilket netkort du har, så prøv
at køre kommandoen "/sbin/lspci -v"

>Efter genstart samme meddelelese.
>Så ville jeg jo lige tjekke at 3c90x var korrekt.
>Genstart af NT workstation 4.0. Gik igennem uden problemer.
>Fik bekræftet at 3c90x var korrekt.

Som sagt ovenfor: Det er forkert. Du skal bruge 3c59x

Og beskeden om at der er en mismatch mellem modules.dep og
modules.conf: Den er ligegyldig for om driveren loader eller ej.
Hvis du vil af med den, så kør "touch /etc/modules.conf" og
"/sbin/depmod -a"
-- 
Henrik Storner      | "Crackers thrive on code secrecy. Cockcroaches breed 
<sslug@sslug> |  in the dark. It's time to let the sunlight in."
                    |  
                    |          Eric S. Raymond, re. the Frontpage backdoor


 
Home   Subscribe   Mail Archive   Index   Calendar   Search

 
 
Questions about the web-pages to <www_admin>. Last modified 2005-08-10, 19:19 CEST [an error occurred while processing this directive]
This page is maintained by [an error occurred while processing this directive]MHonArc [an error occurred while processing this directive] # [an error occurred while processing this directive] *